#!/usr/local/bin/python
# Convert jdat to the standard Python
# This can be used for converting data to pyROOT 

from array import array
from ROOT import *
 
from xml.dom import minidom
xmldoc = minidom.parse('cepc_track_resolution_d0_barrel.jdat')
itemlist = xmldoc.getElementsByTagName('p1d')
print len(itemlist)
 
alldata={}
for staff in itemlist:
        ary=[]
        sid = staff.getAttribute("id")
        sid = (staff.getElementsByTagName("id")[0]).firstChild.data
        title = (staff.getElementsByTagName("title")[0]).firstChild.data
        size= (staff.getElementsByTagName("size")[0]).firstChild.data
        dimension=(staff.getElementsByTagName("dimen")[0]).firstChild.data
        values = (staff.getElementsByTagName("data")[0]).firstChild.data
        print "Read: id=",sid, "title=",title," size=",size
        for line in values.splitlines():
                   line = line.strip()
                   if not line:continue
                   floats = [float(x) for x in line.split()]
                   ary.append(floats)
        alldata[sid]=[title,int(size),int(dimension),ary]

data=alldata["1"]
values=data[3]
xx, yy = array( 'd' ), array( 'd' )
exx, eyy = array( 'd' ), array( 'd' )

n=0
for v in values:
    x=v[0]
    y=v[1]
    ex1=v[2]
    ex2=v[3]
    ey1=v[4]
    ey2=v[5]
    print x,y
    xx.append(x)
    yy.append(y)
    exx.append(ex1)
    eyy.append(ey1)
    n=n+1

gROOT.Reset()

c1 = TCanvas( 'c1', 'A Simple Graph Example', 200, 10, 700, 500 )
c1.SetGrid()
gr = TGraphErrors( n, xx, yy, exx, eyy )
gr.SetLineColor( 1 )
gr.SetLineWidth( 2 )
gr.SetMarkerColor( 4 )
gr.SetMarkerStyle( 21 )
gr.SetTitle( 'resolution' )
gr.GetXaxis().SetTitle( 'p_T [GeV]' )
gr.GetYaxis().SetTitle( '#sigma (d0)  [#mu m]' )
gr.Draw( 'ACP' )

c1.Update()

if (raw_input("Press any key to exit") != "-9999"):
                         c1.Close(); sys.exit(1);
 
